
StocksAndFisheriesKB - Bug #12277

Merge action is not working

Jul 31, 2018 12:55 PM - Aureliano Gentile

Status: Closed Start date: Jul 31, 2018

Priority: Urgent Due date:  

Assignee: Yannis Marketakis % Done: 10%

Category:  Estimated time: 0.00 hour

Target version: GRSF   

Description

We tried to merge two records (on 24th of July!) and they are still pending:

https://bluebridge.d4science.org/group/grsf_admin/data-catalogue?path=/dataset/21f0dcba-5464-359c-8699-607842656681

Brosme brosme Iceland Grounds (Division 27.5.a) Southeast Greenland (Division 27.14.b) Central Northeast Atlantic - South

(Division 27.12.c) Southern mid-Atlantic Ridge (Division 27.12.a) Northeast Atlantic South (Division 27.10.b)

merged with 

https://bluebridge.d4science.org/group/grsf_admin/data-catalogue?path=/dataset/34b80228-8fb8-3c70-9d0e-25a3dd3f8bd3

Argentina silus Barents Sea (Subarea 27.1) North of Azores (Subarea 27.12) East Greenland (Subarea 27.14) Skagerrak and

Kattegat (Division 27.3.a) Irish Sea, West of Ireland, Porcupine Bank, Eastern and Western English Channel, etc (Subarea 27.7)

Rockall, Northwest Coast of Scotland and North Ireland (Subarea 27.6) North Sea (Subarea 27.4) Bay of Biscay (Subarea 27.8)

Norwegian Sea, Spitzbergen, and Bear Island (Subarea 27.2) Portuguese Waters (Subarea 27.9) Faroes Grounds (Division 27.5.b)

Azores Grounds and Northeast Atlantic South (Subarea 27.10)

Note that this merge action we did is part of our tests, and the idea is then to reject the merged records to verify that the system is

re-generating the two single records (which actually are not similar).

Related issues:

Blocked by StocksAndFisheriesKB - Task #12856: Verification of GRSF merging p... Closed Nov 11, 2018 Nov 24, 2018

History

#1 - Jul 31, 2018 04:14 PM - Yannis Marketakis

- Status changed from New to In Progress

#2 - Jul 31, 2018 04:17 PM - Yannis Marketakis

I understand that the issue here, is that although the 24-hour window has passed the records are not merged right?

I am asking so because in the description you mention that you wanted to reject the merge operation (which is valid before the 24-hour windows

passes). 

#3 - Jul 31, 2018 04:47 PM - Aureliano Gentile

Yes, although the 24-hour window has passed the records are not merged.

Then, I am saying, that once the two records will be merged, I will complete the test by rejecting the merge so to verify that the two merged records

are brought back to the initial situation with two distinct records. But indeed I am expecting to do that after the 24 hours window.

#4 - Nov 11, 2018 12:13 PM - Yannis Marketakis

- Blocked by Task #12856: Verification of GRSF merging process added

#7 - Nov 23, 2022 09:49 AM - Yannis Marketakis

- Status changed from In Progress to Resolved

#8 - Nov 23, 2022 09:49 AM - Yannis Marketakis

- Status changed from Resolved to Closed

Files

grsf_recordstobemerged.JPG 56.4 KB Jul 31, 2018 Aureliano Gentile
